Skip to main content
GET
/
knowledge-base
/
datasets
List knowledge bases
curl --request GET \
  --url https://api.anyreach.ai/knowledge-base/datasets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "source_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Personal access token. See Authentication.

Query Parameters

name
string

Filter by name.

created_after
string<date-time>

Created on or after this time.

created_before
string<date-time>

Created on or before this time.

updated_after
string<date-time>

Updated on or after this time.

updated_before
string<date-time>

Updated on or before this time.

limit
integer
default:20

Items per page.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from a previous response's next_cursor.

Response

A page of knowledge bases.

data
object[]
pagination
object